### Method

# Clutter Script list_objects

#### Declaration [src]

    GList*
    clutter_script_list_objects (
      ClutterScript* script
    )

#### Description [src]

Retrieves all the objects created by `script`.

Note: this function does not increment the reference count of the objects it returns.

#### Return value

Type: A list of `GObject*`

A list of `GObject`s, or `NULL`. The objects are owned by the `ClutterScript` instance. Use `g_list_free()` on the returned list when done.

The caller of the method takes ownership of the data container, but not the data inside it.